# This is a CamiTK python action
import camitk

def init(self:camitk.Action):
    self.counter = 42

def process(self:camitk.Action):    
    self.counter += 1
    self.setParameterValue("Counter", self.counter)
    # to update the GUI
    self.updateWidget()
